name: julia

channels:
- conda-forge

dependencies:
- python>=3.11
- make
- mamba
- git

##############################################################################
# JupyterLab

- jupyterlab>=4
- jupyterlab-language-pack-fr-FR
- nbgitpuller

# jupyterlab non critical extensions
- jupyter-resource-usage
- jupyterlab-git
- jupyterlab_code_formatter
- jupyter_console              # for image CI tests

##############################################################################
# Authoring and teaching tools
- jupytext
- jupyterlab-myst>=2.1.0
- jupyter-book
- mystmd
- nodejs
- nbgrader>=0.9.1
- jupyterlab-deck

##############################################################################
# For computations
- julia

##############################################################################
# For code validation
